Retrieve a list of submissions
curl --request GET \
--url https://app.formbox.app/api/v1/submissions \
--header 'api-key: <api-key>'import requests
url = "https://app.formbox.app/api/v1/submissions"
headers = {"api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'api-key': '<api-key>'}};
fetch('https://app.formbox.app/api/v1/submissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"formId": "<string>",
"isSpam": true,
"createdAt": "<string>",
"updatedAt": "<string>",
"answers": [
{
"id": "<string>",
"label": "<string>",
"value": "<string>"
}
],
"files": [
{
"id": "<string>",
"name": "<string>",
"type": "<string>",
"size": 123,
"url": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
]
}
],
"meta": {
"total": 123,
"totalInbox": 123,
"totalSpam": 123
},
"pagination": {
"totalPages": 123,
"currentPage": 123,
"nextPage": 123,
"previousPage": 123
}
}{
"error": {
"code": "unauthorized",
"message": "No API key provided. Pass your API key in the api-key header."
}
}{
"error": {
"code": "forbidden",
"message": "Your API key requires read or full access scope to list submissions."
}
}{
"error": {
"code": "unprocessable_entity",
"message": "formId: Required. page and pageSize must be positive integers. isSpam must be true or false."
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "Too many requests. Please slow down and try again shortly."
}
}{
"error": {
"code": "internal_server_error",
"message": "An internal server error occurred. Please contact support if the problem persists."
}
}Submissions
Retrieve a list of submissions
Retrieve a paginated list of submissions for a given form for the authenticated organization.
GET
/
submissions
Retrieve a list of submissions
Headers
The API key.
Query Parameters
The unique ID of the form.
Search for a submission by its content.
Filter submissions by spam status. Pass true or false.
Available options:
true, false The page number for pagination.
Example:
1
The number of items per page.
Required range:
x <= 100Example:
50
Last modified on January 7, 2026
⌘I